package com.djhk.uav.uav.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.djhk.uav.airspace.domain.UavOperator;
import com.djhk.uav.uav.domain.UavOperatorExportVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 飞手管理Mapper接口
 *
 * @author jiachengshuai
 * @date 2022-08-30
 */
@Mapper
public interface UavOperatorMapper extends BaseMapper<UavOperator>
{
    /**
     * 查询飞手管理
     *
     * @param id 飞手管理主键
     * @return 飞手管理
     */
    public UavOperator selectUavOperatorById(Long id);

    /**
     * 查询飞手管理列表
     *
     * @param uavOperator 飞手管理
     * @return 飞手管理集合
     */
    public List<UavOperator> selectUavOperatorList(UavOperator uavOperator);


    public List<UavOperator> selectLists(UavOperator uavOperator);

    /**
     * 新增飞手管理
     *
     * @param uavOperator 飞手管理
     * @return 结果
     */
    public int insertUavOperator(UavOperator uavOperator);

    /**
     * 修改飞手管理
     *
     * @param uavOperator 飞手管理
     * @return 结果
     */
    public int updateUavOperator(UavOperator uavOperator);

    /**
     * 删除飞手管理
     *
     * @param id 飞手管理主键
     * @return 结果
     */
    public int deleteUavOperatorById(Long id);

    /**
     * 批量删除飞手管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteUavOperatorByIds(Long[] ids);

    public int selectOperatorCount();

    UavOperator selectUavOperatorByUserId(@Param("userId") Long userId);

    List<UavOperator> selectUavOperatorExportList(UavOperatorExportVo uavOperatorExportVo);
}
